# ezQuake Manual: Multiplayer Variables

- Network Settings
- Player Settings
- Server Browser
- Skin Settings
- Spectator Tracking

## Network Settings Variables

### cl_c2sImpulseBackup

#### Description

Used with cl_c2spps, it controls how many backup copies of packets with non-zero impulses are to be sent to the server. The recommended value is 3, but you can try 2 or even 1 to reduce traffic if you don't have any packet loss.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### cl_c2spps

#### Description

Packet filtering (a la Qizmo's .c2spps command). Use this to reduce network traffic if you're playing on a 28800 (or worse) connection and can't set cl_maxfps 72 because it causes lags.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_crypt_rcon

#### Description

Encrypts rcon messages sent to server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### cl_nodelta

#### Description

Control the network packet delta compression. When you get blue lines in your netgraph, you should set 'cl_nodelta 1'.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Disable delta compression.
0 | Enable delta compression.

### cl_nopred

#### Description

For debugging, disables movement prediction for your character; other players are still predicted.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Don't predict movement
0 | Predict movement

### cl_oldPL

#### Description

Whether to use old (vanilla QW) packet loss calculation algorithm which is buggy in that always shows some PL at modem pings. The higher the ping, the more fake PL. This affects the PL value players see in the scoreboard beside your name. Using cl_oldPL is considered stupid and this cvar will be removed one day.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Use old algorithm
0 | Use the new PL calculation algorithm.

### cl_predict_players

#### Description

This toggles the prediction for other players' movement. Unless you are having problems this variable should be left at "1".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 |
0 |

### cl_solid_players

This variable has been updated

#### Description

Whether the movement prediction engine should treat other players as solid.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 |
0 |

Default is 1 and there's no reason to change it.

### cl_timeout

#### Description

This variable defines the timeout value in seconds until the client considers himself to be disconnected from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 60

Variable is float.

### cl_useproxy

#### Description

This toggles whether Qizmo should be used (if detected) to a server. When enabled the server browser will use an existing connection to a Qizmo when connecting another server by using the ezQuake Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | use Qizmo to connect a server chosen in the Server Browser
0 | do not use Qizmo to connect a server chosen in the Server Browser

### pushlatency

#### Description

This variable adjusts client side prediction by negating the effects of latency.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | automatic pushlatency adjusting
-50 | Default QWCL value.
-999 | Gives better results.

Some people suggest to use the negative value of your ping to achieve the best results, however in most cases the default value of "0" should be fine.

## Player Settings Variables

### bottomcolor

#### Description

Sets the pants color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### b_switch

#### Description

This variable allows you to define the highest weapon that the client should switch to upon a backpack pickup. The possible arguments of "b_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

#### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

### msg

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Maximum reporting of messages.
1 | Parsed reporting of messages.
2 | Limited reporting of messages.
3 | Minimal reporting of messages.
4 | No reporting of messages.

### name

#### Description

Player's name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: player

Variable is string.

### noaim

#### Description

This variable toggles whether a server-sided aiming-help should be used when shooting rockets (not possible when the server variable "sv_aim" is set to "0").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | Disable server-side aiming help for rockets.
0 | Enable server-side aiming help for rockets (if allowed by the server).

### rate

#### Description

Sets the maximum amount of bytes per second that the server should send to the client.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 5760

Variable is float.

### skin

#### Description

Sets the skin name for the player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### spectator

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

#### Values

value | description
1 | Join to server as spectator.
0 | Join to server as player.

### team

#### Description

Set the team name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### topcolor

#### Description

Sets the shirt color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

### w_switch

#### Description

This variable allows you to define the highest weapon that the client should switch to when picking it up. The possible arguments of "w_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

#### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

## Server Browser Variables

### sb_autohide

#### Description

This toggles in which cases the server browser should automatically hide itself when connecting to a server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Never hide server browser
1 | This will cause the server browser to always hide after connecting
2 | This will cause the server browser to hide after connecting only, if the connected server is not a qizmo proxy, useful if you often connect to Qizmos only for rerouting features (with "useproxy 1")

### sb_autoupdate

#### Description

Enabled auto-updates (pings & refreshes status) servers from actually marked server sources in Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | auto-refresh server list when first entering Server Browser menu
0 | do not refresh server list automatically

Usefull with sb_starttab 1 and '+cfg_load myconfig +menu_slist' in command-line.

### sb_hidedead

#### Description

This toggles whether ezQuake should hide dead servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | hide dead servers
0 | don't hide dead servers

### sb_hideempty

#### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

### sb_hidefull

#### Description

This toggles whether ezQuake should hide full servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | hide full servers
0 | don't hide full servers

### sb_hidenotempty

#### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

### sb_inforetries

#### Description

This determines how often ezQuake should try to retrieve information from a server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### sb_infospersec

#### Description

This determines how many serverinfos per second ezQuake should retrieve when scanning servers. When setting this value too high you will flood your line, causing you to not receive information from servers or lagging your connect to the server you are currently connected to.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is float.

### sb_infotimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

### sb_liveupdate

#### Description

This will determine how often ezQuake should refresh the serverinfo window, the specified value sets the delay in seconds. Setting it to "0" will disable automatic refreshing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2

Variable is float.

### sb_mastercache

#### Description

This toggles whether ezQuake should cache the results of queries to master server (in directory qw/sb/cache). If you restart ezQuake and don't update sources or if a master server is down, ezQuake will use the cache.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | use the cache for master servers when they are down or haven't been refreshed
0 | don't use cache for master servers

### sb_masterretries

#### Description

This determines how often ezQuake should try to retrieve information from a master server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### sb_mastertimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a master server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

### sb_maxheight

#### Description

This set the maximum height for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 480

Variable is float.

### sb_maxwidth

#### Description

This set the maximum width for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 512

Variable is float.

### sb_pings

#### Description

This determines how many pings ezQuake will send to a server when trying to determine your ping to it. A higher value will cause scanning servers to take longer, but the result may be more exact. A lower value obviously makes scanning faster, but pings may be inaccurate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is float.

### sb_pingspersec

#### Description

This determines how many pings per second ezQuake should sent out when scanning servers. If you set this value too high the result will be that the pings will not be accurate because you overloaded your line. If you set it too low scanning servers will take very long especially when you have a large server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 150

Variable is float.

### sb_pingtimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to ping a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1000

Variable is float.

### sb_showaddress

#### Description

This toggles whether ezQuake should display the server IP column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | show the server IP column
0 | do not show the server IP column

### sb_showcounters

#### Description

This toggles whether ezQuake should display the number of servers or players in the status line.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | show the server/player counter in the status line
0 | do not show the server/player counter in the status line

### sb_showfraglimit

#### Description

This toggles whether ezQuake should display the fraglimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | show the fraglimit column
0 | do not show the fraglimit column

### sb_showgamedir

#### Description

This toggles whether ezQuake should display the gamedir column in the server list, for example to see which mod is being played.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | show the gamedir column
0 | do not show the gamedir column

### sb_showmap

#### Description

This toggles whether ezQuake should display the map column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | show the map column
0 | do not show the map column

### sb_showping

#### Description

This toggles whether ezQuake should display the ping column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | show the ping column
0 | do not show the ping column

### sb_showplayers

#### Description

This toggles whether ezQuake should display the players column in the server list that shows how many players are on the server as well as how many players are allowed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | show the players column
0 | do not show the players column

### sb_showtimelimit

#### Description

This toggles whether ezQuake should display the timelimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | show the timelimit column
0 | do not show the timelimit column

### sb_sortplayers

#### Description

This determines sort order in the players list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 92

Variable is float.

### sb_sortservers

#### Description

This determines sort order in the servers list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. server address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 32

Variable is float.

### sb_sortsources

#### Description

Ordering instructions for server browser sources list are stored in this variable. You can order source server in Server browser by pressing Ctrl+1, Ctrl+2 and Ctrl+3. Sequence of your desired combination will be stored in this variable, newest keys first.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 3

Variable is string.
E.g.: 3-21 means you've pressed Ctrl+1, Ctrl+2, Ctrl+2 and Ctrl+3 so your sources are now ordered by server count, last update time and source name.

### sb_sourcevalidity

#### Description

This sets the time of master servers validity in minutes. Master servers that were updated within the specified time will not be refreshed when updating sources with [SPACE].

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 30

Variable is float.

### sb_starttab

#### Description

Sets default tab in Server Browser. This tab will be displayed when you enter Server Browser for the first time of client instance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is integer.
Possible values are 1, 2, 3 and 4.

Usefull with sb_autoupdate 1 and '+cfg_load myconfig +menu_slist' in command-line.

### sb_status

#### Description

This toggles whether the server status should be displayed in the two bottom lines of the server browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
1 | display the status
0 | do not display the status

## Skin Settings Variables

### baseskin

#### Description

Defines what skin u see other people using if you don't have their skin and don't have skin forcing on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: base

Variable is float.

### enemybothskin

#### Description

Overrides the enemy quad pent skin so you can define the skin which applies to enemy quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### enemypentskin

#### Description

Overrides the enemy pent skin so you can define the skin which applies to enemy pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### enemyquadskin

#### Description

Overrides the enemy quad skin so you can define the skin which applies to enemy quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### enemyskin

#### Description

Overrides the enemies skin so you can define the skin which applies to enemies.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### noskins

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
0 | Enable skins.
1 | Disable skins.
2 | Enable skins but do not download new skins.

### r_fullbrightSkins

#### Description

Determines the fullbright percentage of skins. Fullbright skins can always be used during demo playback. The f_skins response will indicate the brightness level being used as a percentage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

#### Values

value | description
0 | Being 0% fullbright.
0.5 | Being 50% fullbright.
1 | Being 100% fullbright.

### teambothskin

#### Description

Overrides the team quad pent skin so you can define the skin which applies to team quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### teampentskin

#### Description

Overrides the team pent skin so you can define the skin which applies to team pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### teamquadskin

#### Description

Overrides the team quad skin so you can define the skin which applies to team quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

### teamskin

#### Description

Overrides the team skin so you can define the skin which applies to team mates.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default:

Variable is float.

## Spectator Tracking Variables

### cam_dist

#### Description

for use with cam_thirdperson. Use +forward/+back to adjust it smoothly

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 100

Variable is integer.
Value = distantion

### cam_lockdir

#### Description

Force camera to locked direction mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Force
0 | Dont force

### cam_lockpos

#### Description

Force camera to locked position mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 | Force
0 | Dont force

EXPEREMENTAL

### cam_thirdperson

#### Description

Enables third person view in demo playback and spectator mode. In track mode, we look at the person being tracked rather than through his eyes. Unlike cl_camera_tpp, you can use the mouse to look around.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

#### Values

value | description
1 |
0 |

in track mode, we look at the person being tracked rather than through his eyes

### cam_zoomaccel

#### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 2000

### cam_zoomspeed

#### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 300

### cl_camera_death

#### Description

Camera view above your body after death.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### cl_camera_tpp

#### Description

0 = 1st person view 1 = 3rd person view ala Tomb Raider (such a fun!) 2 = 3rd person view ala cl_chasecam 0 (buggy)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### cl_camera_tpp_distance

#### Description

Sets distance of 3rd person camera from tracked player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: -56

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first. See cl_camera_tpp_height too.

### cl_camera_tpp_height

#### Description

Sets vertical position of 3rd person camera.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 24

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first.

### cl_chasecam

#### Description

This variable toggles the spectator mode to eye view (1st person).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 1

Variable is float.

### cl_hightrack

#### Description

Turns auto-tracking player with most frags ON when spectating or watching a demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X

Default: 0

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs